declare const _default: (queryPath: string) => {
    version: string;
    routeKey: string;
    rawPath: string;
    rawQueryString: string;
    headers: {
        accept: string;
        'content-length': string;
        host: string;
        'user-agent': string;
        'x-amzn-trace-id': string;
        'x-forwarded-for': string;
        'x-forwarded-port': string;
        'x-forwarded-proto': string;
    };
    requestContext: {
        accountId: string;
        apiId: string;
        domainName: string;
        domainPrefix: string;
        http: {
            method: string;
            path: string;
            protocol: string;
            sourceIp: string;
            userAgent: string;
        };
        requestId: string;
        routeKey: string;
        stage: string;
        time: string;
        timeEpoch: number;
    };
    isBase64Encoded: boolean;
};
export default _default;
