import { APIGatewayProxyEventV2, Context } from 'aws-lambda';
import { Writable } from 'node:stream';
import { ResponseStream } from './ResponseStream.js';
export declare const awslambdaSimulator: (silent: boolean) => {
    awslambda: {
        streamifyResponse: (handler: (event: APIGatewayProxyEventV2, responseStream: Writable, context: Context) => Promise<void>) => (event: APIGatewayProxyEventV2, context: Context) => Promise<ResponseStream>;
        HttpResponseStream: {
            from(responseStream: Writable, metadata: any): Writable;
        };
    };
    streamifyHandler: (handler: (event: APIGatewayProxyEventV2, responseStream: Writable, context: Context) => any) => (event: APIGatewayProxyEventV2, context: Context) => Promise<string>;
};
